.content {
	max-width: 800px;
	min-height: 100vh;
	width: 100%;
	margin: 0 auto;
	position: relative;
	color: var(--neutral-20);
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;

	strong {
		color: var(--neutral-05);
	}

	p {
		// line-height: 2rem;
		margin-bottom: 2rem;
		color: inherit;
	}

	a {
		text-decoration: underline !important;

		&:hover {
			color: var(--neutral-20);
		}
	}

	:where(ol, ul) {
		margin-bottom: 16px;
	}

	img {
		display: block;
		border-radius: 1rem;
		width: 100%;
		height: auto;
		object-fit: cover;
		max-width: max-content;
		margin: 0 auto;
	}

	:where(h1, h2, h3, h4, h5, h6) {
		color: var(--neutral-05);
		margin-bottom: 2rem;
		// line-height: 1;
		white-space: wrap;

		.icon-link {
			position: relative;

			&::before {
				content: '#';
				position: absolute;
				color: var(--neutral-50);
				opacity: 0;

				text-decoration: none;

				left: -1.4ch;
			}
		}

		&:hover .icon-link::before {
			opacity: 1;
		}
	}

	blockquote {
		background: var(--background-lightdark);
		border-left: 0.5rem solid var(--primary-color);
		border-radius: 0.5rem;
		margin-bottom: 2rem;
		padding: 0.5em 1rem;
		padding-top: 20px;

		code {
			background: var(--background-dark);
			padding: 0 0.3em;
		}
	}

	code {
		border-radius: 0.5rem;
		background: var(--background-lightdark);
		padding: 0 0.3em;
	}

	:where(ul, ol) {
		margin-left: 16px;
	}

	li {
		font-style: normal;
		font-weight: normal;
		font-size: 1.4rem;
		// line-height: 2rem;

		&::marker {
			font-size: 1.6rem;
		}
	}

	hr {
		border-top: 0.2rem solid var(--neutral-50);
		margin-bottom: 2rem;
	}

	// code {
	// 	background: var(--neutral-80);
	// 	border-left: 0.5rem solid var(--neutral-50);
	// 	border-radius: 0.5rem;
	// 	margin-bottom: 2rem;
	// 	padding: 0.5em 1rem;
	// 	padding-top: 20px;
	// }

	pre {
		font-style: normal;
		font-weight: normal;
		font-size: 1.4rem;
		// line-height: 2rem;
		background-color: var(--background-darkest) !important;
		padding: 3rem 2rem !important;
		margin-bottom: 2rem !important;
		position: relative;
		border-radius: 1rem;

		code {
			border-radius: 0;
			padding: 0;
			background: inherit;
			overflow-x: scroll;
			&::before {
				content: '';
				background-color: var(--colorful-red);
				padding: 5px;
				position: absolute;
				top: -22.1px;
				left: -10px;
				border-radius: 50%;
			}
		}

		&::before {
			content: '';
			background-color: var(--colorful-yellow);
			padding: 5px;
			position: absolute;
			top: 10px;
			left: 25px;
			border-radius: 50%;
		}

		&::after {
			content: '';
			background-color: var(--colorful-green);
			padding: 5px;
			position: absolute;
			top: 10px;
			left: 40px;
			border-radius: 50%;
		}
	}

	.katex {
		font-size: 1.6rem;
	}

	.katex-display {
		overflow: auto hidden;
	}

	iframe {
		border-radius: 1rem;
		width: 80%;
		max-width: 540px;
		margin: 0 auto 2rem auto;
		display: block;
		height: 320px;

		@media (max-width: 600px) {
			width: 100%;
			height: 240px;
		}
	}

	table {
		font-style: normal;
		font-weight: normal;
		font-size: 1.4rem;
		// line-height: 2rem;
		border-collapse: separate;

		min-width: 320px;
		width: 100%;
		margin-bottom: 2rem;

		td,
		th {
			padding: 8px;
		}

		thead {
			th {
				background-color: var(--background-darkest);
			}

			tr {
				background: var(--background-dark);

				&:first-child {
					th:first-child {
						border-top-left-radius: 10px;
					}
					th:last-child {
						border-top-right-radius: 10px;
					}
				}
			}
		}

		tbody {
			td {
				background-color: var(--background-lightdark);
			}

			tr {
				&:last-child {
					background: var(--background-dark);
				}

				&:last-child {
					td:first-child {
						border-bottom-left-radius: 10px;
					}
					td:last-child {
						border-bottom-right-radius: 10px;
					}
				}
			}
		}
	}
}
